Set Catalog Item Product Popularity
1 min
PUT
https://api.upstartcommerce.com/v1/catalog/productpopularity
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyobject
200Update Catalog Item Popularity Response
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
curl --request PUT \
--url https://api.upstartcommerce.com/v1/catalog/productpopularity \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"popularity": [
{
"catalogItemId": ""
}
]
}'